﻿Type=Activity
Version=3.82
B4A=true
@EndOfDesignText@

#Region  Activity Attributes 
	#FullScreen: False
	#IncludeTitle: True
#End Region

Sub Process_Globals
	Dim ggTmr_Timer1 As Timer		'This timer is meant to enable the default next-activity to be loaded automatically after a countdown (unless...) 
	Dim ggTmr_Timer2 As Timer		'This timer forces a "long click" (ie, a down-up combo) to take longer than the system default (of about 1.5 secs?)  
End Sub

Sub Globals
	Dim gIntCONST_MilliSecondsPerTic1 As Int = 100		'Timer interval for Timer1; Tic once every 100 ms
	Dim gIntCONST_MilliSecondsPerTic2 As Int = 100		'Timer interval for Timer2; Tic once every 100 ms	
	Dim gIntCONST_AutoFwdTicThreshold As Int = 100		'Auto forward after 10 seconds (ie, after 100 tics, assuming 100 ms/tic)
	Dim gIntCONST_MyLongClickTicThreshold As Int = 20	'Consider it as a long click if it exceed 2.0 seconds (ie, 20 tics, assuming 100 ms/tic)
	Dim gInt_TicCount1, gInt_TicCount2, gInt_SecondsElapsed1 As Int
	Dim gInt_SecondsToAutoFwd As Int
	Dim gX As Int		'Added for troubleshooting purposes only
	Private L01_Btn_ExitProgram As Button
	Private L01_Btn_SelectTermCourseAndClass As Button
	Private L01_Btn_AutoFwdMsg As Button
End Sub

Sub Activity_Create(FirstTime As Boolean)
	Activity.LoadLayout("Lyt_L01_Welcome")
	sPrepareTheLayout		'Prepare all the views in this activity/layout 
	ggTmr_Timer1.Initialize("Timer1", gIntCONST_MilliSecondsPerTic1)
	ggTmr_Timer2.Initialize("Timer2", gIntCONST_MilliSecondsPerTic2)
	gInt_TicCount1 = 0
	
	ggTmr_Timer1.Enabled = True
	ggTmr_Timer2.Enabled = False	
End Sub

Sub Activity_Resume
End Sub

Sub Activity_Pause (UserClosed As Boolean)
End Sub

Sub L01_Btn_AutoFwdMsg_Down
	gInt_TicCount2 = 0
	ggTmr_Timer2.Enabled = True
End Sub

Sub L01_Btn_AutoFwdMsg_Up
	ggTmr_Timer2.Enabled = False
	If gInt_TicCount2 < gIntCONST_MyLongClickTicThreshold Then 
		If ggTmr_Timer1.Enabled = True Then 
			ggTmr_Timer1.Enabled = False
		Else
			ggTmr_Timer1.Enabled = True
		End If
	Else
		gInt_TicCount1 = 0
		ggTmr_Timer1.Enabled = True
	End If
	gX = 0											'Added for troubleshooting purposes only
	Do While gX < 20000 : gX = gX + 1 :  Loop 		'Added for troubleshooting purposes only
'	Msgbox(ggTmr_Timer1.enabled,"Timer1 is enabled???")
End Sub

Sub Timer1_Tick
	If (gInt_TicCount1 Mod 10) = 0 Then
		gInt_SecondsElapsed1 = gInt_TicCount1 * gIntCONST_MilliSecondsPerTic1 / 1000
		gInt_SecondsToAutoFwd = gIntCONST_AutoFwdTicThreshold * gIntCONST_MilliSecondsPerTic1 / 1000 - gInt_SecondsElapsed1
		L01_Btn_AutoFwdMsg.Text = "Auto forward in  " &  gInt_SecondsToAutoFwd & "  seconds."
	End If
	If gInt_TicCount1 > gIntCONST_AutoFwdTicThreshold Then 
		Main.ggBoo_SafeToExit = True
		Activity.Finish
	End If
	gInt_TicCount1 = gInt_TicCount1 + 1
End Sub

Sub Timer2_Tick
	gInt_TicCount2 = gInt_TicCount2 + 1
End Sub


'***** UNDER DEVELOPMENT *****UNDER DEVELOPMENT *****UNDER DEVELOPMENT *****UNDER DEVELOPMENT *****UNDER DEVELOPMENT *****UNDER DEVELOPMENT *****
Sub L01_Btn_SelectTermCourseAndClass_Click
	'If it seems that no InitialData exists, inform user and resume this activity
	Msgbox("Click Action TBD......","")
End Sub

'***** UNDER DEVELOPMENT *****UNDER DEVELOPMENT *****UNDER DEVELOPMENT *****UNDER DEVELOPMENT *****UNDER DEVELOPMENT *****UNDER DEVELOPMENT *****
Sub L01_Btn_SelectTermCourseAndClass_LongClick
	Msgbox("Long click Action TBD......","")	
End Sub

Sub L01_Btn_ExitProgram_Click
	Main.ggBoo_SafeToExit = True
	Activity.Finish
End Sub

Sub sPrepareTheLayout
	'Initialize the L01_Btn_ExitProgram View
	L01_Btn_ExitProgram.SetLayout(5%x,70%y,40%x,20%y)
	L01_Btn_ExitProgram.Gravity = Gravity.CENTER
	L01_Btn_ExitProgram.Color = Colors.ARGB(255,99,99,99)
	L01_Btn_ExitProgram.TextColor = Colors.White
	L01_Btn_ExitProgram.TextSize = 20
	L01_Btn_ExitProgram.Text = "EXIT PROGRAM" 
	
	'Initialize the L01_Btn_SelectTermCourseAndClass View
	L01_Btn_SelectTermCourseAndClass.SetLayout(55%x,5%y,40%x,40%y)
	L01_Btn_SelectTermCourseAndClass.Gravity = Gravity.CENTER
	L01_Btn_SelectTermCourseAndClass.Color = Colors.ARGB(255,99,99,99)
	L01_Btn_SelectTermCourseAndClass.TextColor = Colors.White
	L01_Btn_SelectTermCourseAndClass.TextSize = 20
	L01_Btn_SelectTermCourseAndClass.Text = "Select the Term, Course, and Class" 
	
	'Initialize the L01_Btn_AutoFwdMsg View
	L01_Btn_AutoFwdMsg.SetLayout(55%x,55%y,40%x,40%y)			
	L01_Btn_AutoFwdMsg.Gravity = Gravity.CENTER
	L01_Btn_AutoFwdMsg.Color = Colors.ARGB(200,99,99,99)
	L01_Btn_AutoFwdMsg.TextColor = Colors.LightGray
	L01_Btn_AutoFwdMsg.TextSize = 15
	L01_Btn_AutoFwdMsg.Text = "Auto continue in XX seconds.       Press/Hold here to stop/reset." 
	
End Sub













